body {
    font-family: Arial, sans-serif;
    background-color: #f5f5f5;
    margin: 0;
    padding: 0;
    overflow-x: hidden
}

.container {
    width: 100%;
    max-width: 800px;
    margin: 10px auto;
    padding: 20px;
    box-sizing: border-box
}

.app-header {
    display: flex;
    align-items: center;
    padding-bottom: 10px;
    overflow-x: auto;
    justify-content:center;
}

.app-icon {
    max-width:100%;
    height: 60px;
    border-radius: 9px;
    flex-shrink: 0
}

.app-info {
    flex: 1
}

.app-info h1 {
    margin: 0;
    font-size: 24px;
    word-wrap: break-word
}

.app-info p {
    margin: 5px 0;
    color: #666
}

.btn-cnt {
    margin: 20px 0;
    display: flex;
    justify-content: center
}

.install-btn {
    width: 90%;
    max-width: 360px;
    padding: 15px;
    background: #FE294E;
background: linear-gradient(90deg,rgba(254, 41, 78, 1) 0%, rgba(255, 184, 1, 1) 50%, rgba(2, 158, 253, 1) 100%);
    color: #fff;
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    font-size: 16px;
    text-align: center;
    font-weight: bold
}

.install-btn span {
    animation: zoom-in-out 2s ease-in-out infinite;
    display: inline-block
}

@keyframes zoom-in-out {
    0 {
        transform: scale(1)
    }

    50% {
        transform: scale(1.15)
    }

    100% {
        transform: scale(1)
    }
}

.install-btn:hover {
    background-color: #45a049
}

.app-gallery {
    display: flex;
    gap: 10px;
    margin: 20px 0;
    overflow-x: auto;
    padding-bottom: 10px
}

.app-description {
    margin: 20px 0
}

.app-description h2 {
    margin-bottom: 10px
}

.app-reviews {
    margin: 20px 0
}

.app-reviews h2 {
    margin-bottom: 15px;
    font-size: 20px;
    color: #333
}

.review-card {
    background-color: #e0e0e0;
    padding: 15px;
    border-radius: 8px;
    margin-bottom: 15px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    box-sizing: border-box
}

.review-header {
    display: flex;
    align-items: center;
    margin-bottom: 5px
}

.reviewer-img {
    width: 34px;
    height: 34px;
    border-radius: 50%;
    border: 2px solid #ccc;
    margin-right: 10px
}

.reviewer-info {
    display: flex;
    flex-direction: column
}

.reviewer-name {
    font-weight: bold;
    color: #333;
    margin-bottom: 5px
}

.review-rating {
    color: #ff9800;
    font-size: 16px;
    display: flex;
    align-items: center
}

.review-rating span {
    margin-left: 10px;
    color: #999;
    font-size: 14px
}

.review-text {
    color: #333;
    line-height: 1.4;
    margin-top: 10px
}

.additional-info h2 {
    margin-bottom: 10px
}

.additional-info p {
    margin: 5px 0;
    color: #666
}

@media(max-width:768px) {
    .app-header {
        flex-direction: row;
        justify-content: center;
    }

    .review-header {
        flex-direction: row;
        align-items: center
    }

    .reviewer-info {
        margin-left: 10px
    }
}

.app-support {
    margin: 20px 0;
    border-bottom: 1px solid #e0e0e0;
    padding-bottom: 20px
}

.app-support h2 {
    margin-bottom: 15px;
    font-size: 20px;
    color: #333
}

.support-item {
    margin-bottom: 15px
}

.support-label {
    display: block;
    font-weight: bold;
    color: #333;
    margin-bottom: 5px
}

.support-value {
    color: #333;
    text-decoration: none;
    font-size: 16px
}

.support-value:hover {
    text-decoration: underline
}

.page-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 20px 3px 20px;
    background-color: #fff;
    border-bottom: 1px solid #e0e0e0
}

.logo img {
    width: 150px;
    height: auto
}

.profile img {
    width: 40px;
    height: 40px
}

.app-info-columns {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin: 10px 0;
    padding: 0 10px
}

.info-column {
    flex: 1;
    text-align: center;
    padding: 3px;
    box-sizing: border-box;
    max-width: 25%
}

.rating {
    font-size: 15px;
    font-weight: bold;
    margin-bottom: 3px;
    color: #000
}

.num-ratings {
    font-size: 11px;
    color: #555
}

.app-size {
    font-size: 11px;
    color: #333
}

.download-icon {
    width: 16px;
    height: 16px
}

.info-image {
    width: 16px;
    height: 16px
}

.image-text {
    font-size: 11px;
    color: #555
}

.line-text {
    font-size: 11px;
    color: #333
}

@media(max-width:768px) {
    .app-info-columns {
        flex-wrap: nowrap
    }

    .info-column {
        flex: 1 1 25%;
        max-width: 25%
    }
}

.gallery-image {
    width: 30%;
    margin-bottom: 10px;
    cursor: pointer;
    border-radius: 8px;
    transition: transform .2s ease
}

.gallery-image:hover {
    transform: scale(1.05)
}

.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 1000
}

.popup-image {
    max-width: 85%;
    max-height: 85%;
    border-radius: 8px;
    border: 5px solid #080c65;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5)
}

.close-btn {
    position: absolute;
    top: 20px;
    right: 14px;
    font-size: 40px;
    color: #fff;
    cursor: pointer;
    z-index: 1001
}

.prev-btn,
.next-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 40px;
    color: #fff;
    cursor: pointer;
    z-index: 1001;
    user-select: none
}

.prev-btn {
    left: 20px
}

.next-btn {
    right: 20px
}

@media(max-width:480px) {
    .app-info h1 {
        font-size: 20px
    }

    .rating {
        font-size: 14px
    }

    .install-btn {
        width: 100%;
        font-size: 14px;
        max-width: none
    }

    .review-card {
        padding: 10px
    }

    .reviewer-img {
        width: 30px;
        height: 30px
    }

    .review-rating {
        font-size: 14px
    }

    .review-text {
        font-size: 14px
    }
}